%define fname	python-mpd2

Name:           python-mpd
Version:        0.4.3
Release:        %mkrel 2

Summary:        Python bindings for MPD
Group:          Development/Python
License:        GPLv2
URL:            https://github.com/Mic92/python-mpd2
Source0:        http://pypi.python.org/packages/source/p/%{fname}/%{fname}-%{version}.tar.bz2

BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python-setuptools

%description
An MPD (Music Player Daemon) client library written in pure Python.

%package -n python3-mpd
Summary:	Python 3 bindings for MPD
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	python3-setuptools

%description -n python3-mpd
An MPD (Music Player Daemon) client library written in pure Python.

%prep
%setup -q -c
mv %{fname}-%{version} python2
pushd python2
%apply_patches
popd
cp -r python2 python3

%build
pushd python2
python setup.py build
popd

pushd python3
python3 setup.py build
popd

%install
rm -rf %{buildroot}

pushd python2
python setup.py install --root=%{buildroot} --compile --optimize=2
popd

pushd python3
python3 setup.py install --root=%{buildroot} --compile --optimize=2
popd

%files
%doc python2/LICENSE.txt python2/README.md python2/CHANGES.txt python2/GPL.txt python2/doc/commands.txt
%{python_sitelib}/*

%files -n python3-mpd
%doc python3/LICENSE.txt python3/README.md python3/CHANGES.txt python3/GPL.txt python3/doc/commands.txt
%{python3_sitelib}/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.4.3-2.mga3
+ Revision: 379152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 philippem <philippem> 0.4.3-1.mga3
+ Revision: 318322
- update to python-mpd2 0.4.3
- add Python3

* Wed Aug 24 2011 jquelin <jquelin> 0.3.0-2.mga2
+ Revision: 135140
- make sure cauldron version is higher

* Sat Jul 02 2011 kharec <kharec> 0.3.0-1.mga2
+ Revision: 117424
- new version
- fix file list

* Wed Jun 29 2011 jquelin <jquelin> 0.2.1-1.mga2
+ Revision: 115984
- imported package python-mpd

